URL structure
{orgId} is the ID of an organization and {labelId} is the ID of one of this organization’s classifications.
Supported methods and overview
PUT- shifts the priority of a classification (specified bylabelIdin an organization specified byorgId) either up or down.
Detailed description
This API endpoint shifts the priority of a classification (specified bylabelId in an organization specified by orgId) either up or down. A classification’s ID can be obtained by calling the GET method of the <access-service>/api/v1/organisations/{orgId}/labels API endpoint, which retrieves a list of information for all classifications configured in an organization (specified by orgId).
A priority is defined by a series of consecutive positive integer numbers called priority integer values. These values are used for sorting classifications from the highest priority (i.e. a priority integer value of 1) through to the lowest priority (i.e. the highest priority integer value, which equals the total number of all classifications defined in an organization).
When a new classification is added to an organization, it is automatically given the lowest priority (i.e. the highest priority integer number). When any classification (except for the classification with the lowest priority) is deleted, then the priority integer numbers of all other classifications with a lower priority (i.e. higher integer values) are automatically decreased by a value of 1.
When a classification’s priority is shifted:
up- then the priority integer values of this classification and its neighboring classification (i.e. with the next lowest priority integer value) switch their priority values.down- then the priority integer values of this classification and its neighboring classification (i.e. with the next highest priority integer value) switch their priority values.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Organization administrator - when this user is a member of the organization specified by the
{orgId}of the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Required parameters
The following required parameters must be sent in the URL of the PUT request:-
direction - Specify
upto shift up the priority of the classification (specified by{labelId}in the request’s URL) in the organization (specified by{orgId}), or specifydownto shift the classification’s priority down.
Example (request):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
- id - The ID of the classification.
- name - The name of the classification.
- description - The description of the classification.
- priority - The new priority value, which is used for sorting classifications from highest (i.e. a priority integer value of 1) through to the lowest priority (i.e. the highest priority integer value, which equals the total number of all classifications defined in an organization).
-
applyI18n - .
Example (response):

